aim4.im.v2i.RequestHandler

## Class BatchModeRequestHandler.RequestStatCollector

- java.lang.Object
- - aim4.im.v2i.RequestHandler.BatchModeRequestHandler.RequestStatCollector

- All Implemented Interfaces:
    StatCollector<BatchModeRequestHandler>
  Enclosing class:
    BatchModeRequestHandler

      public static class BatchModeRequestHandler.RequestStatCollector
      extends Object
      implements StatCollector<BatchModeRequestHandler>

  The Request statistic collector.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchModeRequestHandler.RequestStatCollector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(BatchModeRequestHandler obj)` Collect the statistic in a batch mode request handler.
    `void` | `incrNumOfConfirmedAnotherRequest()` Increase the number of confirmed another request.
    `void` | `incrNumOfLateRequest()` Increase the number of late request.
    `void` | `incrNumOfQueuedRequest()` Increase the number of queued request.
    `void` | `incrTotalNumOfRequest()` Increase the total number of request.
    `void` | `print(PrintStream outfile)` Print the statistic.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchModeRequestHandler.RequestStatCollector

          public BatchModeRequestHandler.RequestStatCollector()

  - ### Method Detail

    - #### incrTotalNumOfRequest

          public void incrTotalNumOfRequest()

      Increase the total number of request.

    - #### incrNumOfConfirmedAnotherRequest

          public void incrNumOfConfirmedAnotherRequest()

      Increase the number of confirmed another request.

    - #### incrNumOfLateRequest

          public void incrNumOfLateRequest()

      Increase the number of late request.

    - #### incrNumOfQueuedRequest

          public void incrNumOfQueuedRequest()

      Increase the number of queued request.

    - #### collect

          public void collect(BatchModeRequestHandler obj)

      Collect the statistic in a batch mode request handler.
      Specified by:
        `collect` in interface `StatCollector<BatchModeRequestHandler>`
      Parameters:
        `obj` - the batch mode request handler

    - #### print

          public void print(PrintStream outfile)

      Print the statistic.
      Specified by:
        `print` in interface `StatCollector<BatchModeRequestHandler>`
      Parameters:
        `outfile` - the output stream

Copyright © 2013. All rights reserved.